Package com.sun.jna.platform.win32

# Class BaseTSD.ULONG_PTRByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.BaseTSD.ULONG_PTRByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  BaseTSD

public static class BaseTSD.ULONG_PTRByReference extends ByReference
PULONG_PTR

## Constructor Summary

Constructors
Constructor
Description
`ULONG_PTRByReference()`
`ULONG_PTRByReference(BaseTSD.ULONG_PTR value)`

## Method Summary

Modifier and Type
Method
Description
`BaseTSD.ULONG_PTR`
`getValue()`
`void`
`setValue(BaseTSD.ULONG_PTR value)`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ULONG_PTRByReference

public ULONG_PTRByReference()

### ULONG_PTRByReference

public ULONG_PTRByReference(BaseTSD.ULONG_PTR value)

## Method Details

### setValue

public void setValue(BaseTSD.ULONG_PTR value)

### getValue

public BaseTSD.ULONG_PTR getValue()